sip-build(1)

NAME
sip-build - build the sip project in-situ

SYNOPSIS
sip-build [options]

DESCRIPTION
sip-build builds a project but does not install it. This is useful when developing a set of bindings.

OPTIONS

-h, --help
    Display a help message.

-V, --version
    Display the SIP version number.

--quiet
    All progress messages are disabled.

--verbose
    Verbose progress messages are enabled.

--api-dir DIR
    A QScintilla .api file is created in DIR.

--build-dir DIR
    DIR is created as a build directory in which all generated files will be created. The build directory is not removed after the build has been completed. The default value is build.

--concatenate N
    The generated code is split into N files. By default one file is generated for each C structure or C++ class. Specifying a low value of N can significantly speed up the build of large projects.

--disable NAME
    The NAME bindings are disabled and will not be built. This option may be specified multiple times. It is only available if the project contains multiple sets of bindings.

--disabled-feature TAG
    The TAG feature tag is disabled. This option may be specified multiple times.

--enable NAME
    The NAME bindings are enabled and will be built. Any associated configuration tests that would normally be run to determine if the bindings should be built are suppressed. This option may be specified multiple times. It is only available if the project contains multiple sets of bindings.

--debug
    A build with debugging symbols is performed.

--no-compile
    The compilation of the generated code is disabled.

--no-docstrings
    The generation of docstrings that describe the signature of all functions, methods and constructors is disabled.

--no-version-info
    No reference the SIP version number is included in any generated code.

--pep484-pyi
    The generation of Python type hints stub files is enabled. These files contain a description of a module's API that is compliant with PEP 484.

--protected-is-public
    SIP can generate code to provide access to protected C++ functions from Python. On non-Windows platforms this code can be avoided if the protected keyword is redefined as public during compilation. This can result in a significant reduction in the size of a generated Python module. This option enables the redefinition of protected and is the default on all platforms except Windows.

--no-protected-is-public
    This option disables the redefinition of protected to access protected C++ functions from Python and is the default on Windows.

--scripts-dir DIR
    Any project scripts will eventually be installed in DIR. If DIR is relative then it is taken as relative to the target directory. By default the directory containing the Python interpreter is used.

--target-dir DIR
    The project will eventually be installed in DIR. By default it is the site-packages directory of the Python installation.

--tracing
    Debugging statements that trace the execution of the bindings are automatically generated. By default the statements are not generated.